Extending Qt Creator Manual | PatchTool

Extending Qt Creator Manual 4.5.2

# PatchTool Class

(Core::PatchTool)

- List of all members, including inherited members

## Static Public Members

QString | patchCommand()
bool | runPatch(const QByteArray &input, const QString &workingDirectory = QString(), int strip = 0, bool reverse = false)
void | setPatchCommand(const QString &newCommand)

## Member Function Documentation

### `[static]` QString PatchTool::patchCommand()

See also setPatchCommand().

### `[static]` bool PatchTool::runPatch(const QByteArray &input, const QString &workingDirectory = QString(), int strip = 0, bool reverse = false)

### `[static]` void PatchTool::setPatchCommand(const QString &newCommand)

See also patchCommand().